Warn users when upgrading from wrong version

Discussion of general topics related to the new version and its place in the world. Don't discuss new features, report bugs, ask for support, et cetera. Don't use this to spam for other boards or attack those boards!
Forum rules
Discussion of general topics related to the new release and its place in the world. Don't discuss new features, report bugs, ask for support, et cetera. Don't use this to spam for other boards or attack those boards!
Post Reply
Oleg
Posts: 1150
Joined: Tue Feb 23, 2010 2:38 am
Contact:

Warn users when upgrading from wrong version

Post by Oleg » Mon Mar 08, 2010 11:54 am

Just throwing this out there because it sounds worthy of a fix.

Support thread

User downloaded 3.0.7 to 3.0.7-pl1 update package and ran it on 3.0.6 board. The update process then executed "successfully" without making, supposedly, any of the 3.0.6 to 3.0.7 changes. The user then restored database from backup and reran the update using the correct package.

The suggestion is to check current board version in updating code when using version-specific incremental update packages.

User avatar
ToonArmy
Registered User
Posts: 335
Joined: Fri Mar 26, 2004 7:31 pm
Location: Bristol, UK
Contact:

Re: Warn users when upgrading from wrong version

Post by ToonArmy » Mon Mar 08, 2010 12:09 pm

Agreed, file a bug please. :)
Chris SmithBlogXMOOhlohArea51WikiNo support via PM/IM
Image

Post Reply